# distance-calc

A Python-based distance calculator to help determine how far new apartment complexes are from the office.

## Scripts

* **gcoder.py** - Takes an address on the command line and returns its latitude and longitude.
  May use one of four different geocoding engines.
* **dcalc.py** - Takes an address on the command line and returns its latitude and longitude,
  distance from the VMware Carbon Black Boulder office, and projected drive time to the
  Boulder office.  Uses Google APIs.
* **batch_distance.py** - Same as dcalc, but uses CSV files for input and output.

## Configuration File

All scripts make use of a configuration file, called `geoapi.ini` by default, that contains the
API keys.  Copy the file `geoapi.ini.template` and add your API keys.  You can also specify a different
configuration file with the `-C` or `--config` option to each script.

## Acknowledgements

Thanks to VMware Carbon Black for sponsoring Hackathon, which provided the time to pursue this research.
